@echo off

set AP_TITLE=TUTORIAL(Card Reader)
set AP_VERSION=v1.00

rem -----------------------------------------------------------


:INST_START
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
echo ^>  WELCOME TO THE
echo ^>  RT-C [%AP_TITLE% %AP_VERSION%]
echo ^>  INSTALLATION.
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++


TIMEOUT /T 1 /NOBREAK >nul
echo;
echo ^> CHECK RT-C SDK INSTALL DIR...


REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Micronet\RT-C" /v "Install_Path" >nul
if %ERRORLEVEL% NEQ 0 goto ERROR

for /F "TOKENS=1,2,*" %%A in ('REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Micronet\RT-C" /v "Install_Path"') do if "%%A"=="Install_Path" set INST_PATH=%%C


REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Micronet\INplc\SDK" /v "FWLIB_Work" >nul
if %ERRORLEVEL% NEQ 0 goto ERROR

for /F "TOKENS=1,2,*" %%A in ('REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Micronet\INplc\SDK" /v "FWLIB_Work"') do if "%%A"=="FWLIB_Work" set AP_INST=%%C


echo OK: RT-C SDK Detected.
TIMEOUT /T 1 /NOBREAK >nul

echo;
echo ^> INSTALLING FILES...

XCOPY /I /Y /Q Installation\src\*.fwpack "%INST_PATH%\LIB" >nul
if %ERRORLEVEL% NEQ 0 goto ERROR

XCOPY /I /Y /Q Installation\src\RTC_CARD_Lib\*.* "%AP_INST%RTC_CARD_Lib" >nul
if %ERRORLEVEL% NEQ 0 goto ERROR

XCOPY /I /Y /Q Installation\src\*.dll "%ECLRTOOLS%eCLR\CoreLibraries" >nul
if %ERRORLEVEL% NEQ 0 goto ERROR

XCOPY /I /Y /Q Installation\src\CardReader\*.* "%AP_INST%CardReader" >nul
if %ERRORLEVEL% NEQ 0 goto ERROR

echo OK: Copy Success.

echo;

TIMEOUT /T 1 /NOBREAK >nul


echo;
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
echo ^>  [%AP_TITLE%] INSTALL SUCCESS.
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
TIMEOUT /T 5 >nul
exit /B 0


rem -----------------------------------------------------------

:ERROR
echo;
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
echo ^>  !!! [%AP_TITLE%] INSTALL ERROR.
echo ^> ++++++++++++++++++++++++++++++++++++++++++++++++++
pause >nul
exit /B -1


rem -----------------------------------------------------------